# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorarch: %global perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)}

# TODO: BR: perl(URI::file) unconditionally if a local perl-URI is done

# NOTE: also update perl-XML-LibXSLT to a compatible version, see
# http://bugzilla.redhat.com/469480
#
# In the meantime, we'll conflict with versions of perl-XML-LibXSLT that are too old
Conflicts:	perl-XML-LibXSLT < 1.70

Name:		perl-XML-LibXML
Summary:	Perl interface to the libxml2 library
Epoch:		1
Version:	1.93
Release:	1.0.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/XML-LibXML/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SH/SHLOMIF/XML-LibXML-%{version}.tar.gz
Patch0:		XML-LibXML-1.71-UTF8.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
# URI < 1.35 [RHEL-4 and earlier] breaks t/49callbacks_returning_undef.t
%if %(perl -e 'print $] >= 5.008006 ? 1 : 0;')
BuildRequires:	perl(URI::file) >= 1.35
%endif
BuildRequires:	perl(XML::NamespaceSupport) >= 1.07
BuildRequires:	perl(XML::SAX) >= 0.11
BuildRequires:	libxml2-devel >= 2.7.6
# No epoch needed for perl-XML-LibXML-Common obsoletes/provides
Obsoletes:	perl-XML-LibXML-Common < %{version}-%{release}
Provides:	perl-XML-LibXML-Common = %{version}-%{release}
Obsoletes:	perl-XML-LibXML-XPathContext < %{version}-%{release}
Provides:	perl-XML-LibXML-XPathContext = %{version}-%{release}
Requires:	perl(:MODULE_COMPAT_%(perl -MConfig -e 'print $Config{version}'))
Requires:	libxml2 >= 2.7.6

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module implements a Perl interface to the Gnome libxml2 library, which
provides interfaces for parsing and manipulating XML files. This module allows
Perl programmers to make use of the highly capable validating XML parser and
the high performance DOM implementation.

%prep
%setup -q -n XML-LibXML-%{version}

# Fix documentation character encoding
%patch0 -p1

# Fix bogus exec permissions of source code
find . -name '*.[ch]' -exec chmod -c -x {} \;

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" SKIP_SAX_INSTALL=1
# Kludge to remove rpaths (needed for distros < FC2)
perl -pi -e 's/^\tLD_RUN_PATH=[^\s]+\s*/\t/' Makefile
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -R u+w %{buildroot}

%check
# t/72destruction.t fails after passing all tests on RHEL-3.x86_64 (CPAN RT#75195)
if [ "%{__distinit}%{__distvers}" == "rhel3" -a $(arch) == "x86_64" ]; then
	mv t/72destruction.t ./
fi
%if %(perl -e 'print $] >= 5.008008 ? 1 : 0;')
make test THREAD_TEST=1
%else
make test
%endif
if [ "%{__distinit}%{__distvers}" == "rhel3" -a $(arch) == "x86_64" ]; then
	mv ./72destruction.t t/
fi

%clean
rm -rf %{buildroot}

%triggerin -- perl-XML-SAX
for p in XML::LibXML::SAX::Parser XML::LibXML::SAX ; do
	perl -MXML::SAX -e "XML::SAX->add_parser(q($p))->save_parsers()" 2>/dev/null || :
done

%preun
if [ $1 -eq 0 ] ; then
	for p in XML::LibXML::SAX::Parser XML::LibXML::SAX ; do
		perl -MXML::SAX -e "XML::SAX->remove_parser(q($p))->save_parsers()" 2>/dev/null || :
	done
fi

%files
%defattr(-,root,root,-)
%doc Changes HACKING.txt LICENSE README TODO
%{perl_vendorarch}/auto/XML/
%{perl_vendorarch}/XML/
%{_mandir}/man3/XML::LibXML.3pm*
%{_mandir}/man3/XML::LibXML::Attr.3pm*
%{_mandir}/man3/XML::LibXML::AttributeHash.3pm*
%{_mandir}/man3/XML::LibXML::Boolean.3pm*
%{_mandir}/man3/XML::LibXML::CDATASection.3pm*
%{_mandir}/man3/XML::LibXML::Comment.3pm*
%{_mandir}/man3/XML::LibXML::Common.3pm*
%{_mandir}/man3/XML::LibXML::Devel.3pm*
%{_mandir}/man3/XML::LibXML::DOM.3pm*
%{_mandir}/man3/XML::LibXML::Document.3pm*
%{_mandir}/man3/XML::LibXML::DocumentFragment.3pm*
%{_mandir}/man3/XML::LibXML::Dtd.3pm*
%{_mandir}/man3/XML::LibXML::Element.3pm*
%{_mandir}/man3/XML::LibXML::ErrNo.3pm*
%{_mandir}/man3/XML::LibXML::Error.3pm*
%{_mandir}/man3/XML::LibXML::InputCallback.3pm*
%{_mandir}/man3/XML::LibXML::Literal.3pm*
%{_mandir}/man3/XML::LibXML::Namespace.3pm*
%{_mandir}/man3/XML::LibXML::Node.3pm*
%{_mandir}/man3/XML::LibXML::NodeList.3pm*
%{_mandir}/man3/XML::LibXML::Number.3pm*
%{_mandir}/man3/XML::LibXML::PI.3pm*
%{_mandir}/man3/XML::LibXML::Parser.3pm*
%{_mandir}/man3/XML::LibXML::Pattern.3pm*
%{_mandir}/man3/XML::LibXML::Reader.3pm*
%{_mandir}/man3/XML::LibXML::RegExp.3pm*
%{_mandir}/man3/XML::LibXML::RelaxNG.3pm*
%{_mandir}/man3/XML::LibXML::SAX.3pm*
%{_mandir}/man3/XML::LibXML::SAX::Builder.3pm*
%{_mandir}/man3/XML::LibXML::SAX::Generator.3pm*
%{_mandir}/man3/XML::LibXML::Schema.3pm*
%{_mandir}/man3/XML::LibXML::Text.3pm*
%{_mandir}/man3/XML::LibXML::XPathContext.3pm*
%{_mandir}/man3/XML::LibXML::XPathExpression.3pm*

%changelog
* Mon Feb 27 2012 Paul Howarth <paul@city-fan.org> - 1:1.93-1.0
- Update to 1.93
  - Fix XML::LibXML::Element comparision with == and eq
    (CPAN RT#75257, CPAN RT#75259, CPAN RT#75293)
- Enable thread test in %%check with perl 5.8.8 and above

* Tue Feb 21 2012 Paul Howarth <paul@city-fan.org> - 1:1.92-1.0
- Update to 1.92
  - Fix for test failure on perls < 5.10 (CPAN RT#75195)
- Drop patch for CPAN RT#75195
- Don't run t/72destruction.t on RHEL-3.x86_64 as it fails after passing all
  subtests

* Tue Feb 21 2012 Paul Howarth <paul@city-fan.org> - 1:1.91-1.0
- Update to 1.91
  - Overload hash dereferencing on XML::LibXML::Elements, to provide access to
    the element's attributes (see XML::LibXML::AttributeHash for details)
  - Add more convenient methods to XML::LibXML::NodeList such as sort, map,
    grep, etc.
  - Printed some warnings regardless if DEBUG is on
- Add patch to fix t/72destruction.t on Perl < 5.10 (CPAN RT#75195)

* Mon Jan  9 2012 Paul Howarth <paul@city-fan.org> - 1:1.90-1.0
- Update to 1.90
  - Fix compilation bugs in Devel.xs: local variable declarations must be in
    the PREINIT section, not CODE, at least for some compiler/OS combinations

* Sun Dec 25 2011 Paul Howarth <paul@city-fan.org> - 1:1.89-1.0
- Update to 1.89
  - Spelling fixes (CPAN RT#71403)
  - Add XML::LibXML::Devel
  - Adjust the Win32 build instructions in the README file

* Wed Sep 21 2011 Paul Howarth <paul@city-fan.org> - 1:1.88-1.0
- Update to 1.88
  - Add libxml2 2.7.8 as tested and working fine for the Makefile.PL
  - Apply a patch to perl-libxml-sax.c to use xmlChar * instead of char *
  - Correct the README so it doesn't refer to XML-LibXML-Common
    (see http://code.activestate.com/lists/perl-xml/8907/)
  - Add a patch to implement the no_defdtd option in recent libxml2 versions:
    (CPAN RT#70878)
  - Add scripts/bump-version-number.pl to modify the version number globally
    (previously the version numbers of the modules under lib/ were 1.73)

* Tue Sep  6 2011 Paul Howarth <paul@city-fan.org> - 1:1.87-1.0
- Update to 1.87
  - Fix t/49callbacks_returning_undef.t to not read /etc/passwd, which may not
    be valid XML; instead, we're reading a local file while using URI::file
    (assuming it exists - else we skip_all)
- BR: perl(URI::file) if a recent enough one is available

* Thu Aug 25 2011 Paul Howarth <paul@city-fan.org> - 1:1.86-1.0
- Update to 1.86
  - Changed SvPVx_nolen() to SvPV_nolen() in LibXML.xs for better
    compatibility; SvPVx_nolen() appears to be undocumented API (CPAN RT#70476)
- Drop now-redundant patch for CPAN RT#70476

* Thu Aug 25 2011 Paul Howarth <paul@city-fan.org> - 1:1.85-1.0
- Update to 1.85
  - Gracefully handle returned undef()s in the read callback under -w ($^W);
    add t/49callbacks_returning_undef.t (CPAN RT#70321)
  - Add a patch from Mithaldu to get XML::LibXML to compile on Win32:
    (CPAN RT#70141)
- Add patch to fix missing symbol SvPVx_nolen on Perl < 5.8.8 (CPAN RT#70476)

* Sat Jul 23 2011 Paul Howarth <paul@city-fan.org> - 1:1.84-2.0
- Rebuild for perl 5.14.1 in Rawhide

* Sat Jul 23 2011 Paul Howarth <paul@city-fan.org> - 1:1.84-1.0
- Update to 1.84
  - Fix for perl 5.8.x before 5.8.8 (CPAN RT#69722)
- Drop upstreamed perl 5.8.8 patch

* Sat Jul 23 2011 Paul Howarth <paul@city-fan.org> - 1:1.83-1.0
- Update to 1.83
  - Fixed missing declarations after statements (CPAN RT#69622)
  - Fix docbook source validity (CPAN RT#69702)
  - Documentation spelling fixes (CPAN RT#69703)
  - Convert t/14sax.t to Counter and Stacker so the tests will be more reliable
- Add patch so we can pass the test suite with perl < 5.8.8 (CPAN RT#69722)
- Remove rpaths on distributions older than Fedora Core 2

* Thu Jul 21 2011 Paul Howarth <paul@city-fan.org> - 1:1.82-1.0
- Update to 1.82
  - Moved some if blocks after the dSP; (which contains declarations) to be
    compliant with C89/C90, which don't allow declarations in the middle of
    a C function (CPAN RT#69622)
  - CPAN RT#69553: install_sax_driver doesn't like custom INSTALLARCHLIB

* Sat Jul 16 2011 Paul Howarth <paul@city-fan.org> - 1:1.81-1.0
- Update to 1.81
  - Add scripts/fast-eumm.pl to remove the explicit objects dependency on the
    "Makefile" file so after running scripts/fast-eumm.pl one won't have to
    rebuild the C-files
  - Add no warnings 'recursion' to lib/XML/LibXML/Error.pm to get rid of a
    "Deep recursion" warning
  - Fix "IDs of elements is lost when importing nodes" (CPAN RT#69520) and add
    t/48importing_nodes_IDs_rt_69520.t
  - Convert all remaining Test.pm-based test scripts except t/14sax.t to
    Test::More

* Wed Jul 13 2011 Paul Howarth <paul@city-fan.org> - 1:1.80-1.0
- Update to 1.80
  - Fix compilation on strawberry perl (CPAN RT#69082)
  - DOM Normalisation patches and fix for findvalue regression (CPAN RT#69096)
  - t/19die_on_invalid_utf8_rt_58848.t assumed errors would be objects,
    causing failures with old libxml versions (CPAN RT#69433)
  - Add a skip for t/60error_prev_chain.t in case $@ is true but not a ref
    (CPAN RT#69435)
- Fix dist tag for CentOS 6 and Scientific Linux
- Fix bogus exec permissions on source files

* Fri Jul  8 2011 Paul Howarth <paul@city-fan.org> - 1:1.79-1.0
- Update to 1.79
  - In t/46err_column.t, add a skip for a test for CentOS/RHEL 4 with an old
    version of libxml2 (CPAN RT#69070)
  - In t/49global_extent.t, fix the double plan present on libxml2 below
    2.6.27 (CPAN RT#69330)
  - Fix double plan in t/61error.t in accordance with the previous change

* Thu Jul  7 2011 Paul Howarth <paul@city-fan.org> - 1:1.78-1.0
- Update to 1.78
  - Change t/02parse.t to test for the localized error message (CPAN RT#69248)
  - Fix the skip() and 'plan skip_all' syntax in t/06elements.t and
    t/49global_extent.t
  - Convert more test scripts from Test.pm to Test::More

* Sat Jul  2 2011 Paul Howarth <paul@city-fan.org> - 1:1.77-1.0
- Update to 1.77
  - Change the signature of XML::LibXML::Reader::byteConsumed to be "long"
    instead of "int", so it can return values above 2**31 in 64-bit platforms
    (should fix CPAN RT#57085)
  - Change "a XML::LibXML::*" to "an XML::LibXML::*" in the documentation
  - Document XML::LibXML::NamedNodeMap (CPAN RT#57652)
  - Add an external entity resolver for XSLT/etc. (CPAN RT#69166)
  - Add the missing string comparison overload in lib/XML/LibXML/NodeList.pm
    (CPAN RT#57737)
  - Fix CPAN RT#58024: In XML::LibXML, warnings are not suppressed when
    specifying the recover() or recover_silently() flags
  - Now XML-LibXML requires perl-5.8.x (to print to a buffer)
  - Fix CPAN RT#56671: Limit the length of the chain of the previous errors
    (adds new files t/60error_prev_chain.t and example/JBR-ALLENtrees.htm)
  - Fix CPAN RT#58848: "Malformed UTF-8 character (fatal) at" exception thrown
    on invalid UTF-8

* Fri Jul  1 2011 Paul Howarth <paul@city-fan.org> - 1:1.76-1.0
- Update to 1.76
  - Cleaned up t/28new_callbacks_multiple.t - convert to a Counter and Stacker
    class
  - After that, the regression test for it was added (CPAN RT#51086)
  - Add the file HACKING.txt with style guidelines
  - Fix CPAN RT#53270 (suppress_errors option not honored by load_html() method
    if set in parser object), with a test in t/49_load_html.t
  - Uncovered some more bugs, documented in TODO
  - Created t/lib/TestHelpers.pm with slurp(), utf8_slurp() and, in the future,
    some other routines
  - Skipping for LIBXML_RUNTIME_VERSION() *less than* 2.7 instead of
    *more than* in t/09xpath.t (CPAN RT#69205)

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> - 1:1.75-1.0
- Update to 1.75
  - Correct some typos (CPAN RT#54390)
  - Fix the handling of XML::LibXML::InputCallbacks at load_xml()
    (CPAN RT#58190)
  - Convert t/02parse.t to Test::More and remove annoying diag() messages
    (CPAN RT#56334)
  - Add 'make runtest' and 'make distruntest' targets to run the tests using 
    Test::Run (adds colours and stuff like that)
  - Add << LICENSE => 'perl' >> to the Makefile.PL for a license
    meta-data in the META.YML.
  - Feature implementation: joining congruent character data together in
    SAX driver (CPAN RT#52368)
  - Add t/pod.t
  - Fix CPAN RT#55000: if an element contains both a default namespace
    declaration and a second namespace declaration, adding an attribute using
    the default namespace declaration will cause that attribute to have the
    other prefix
- BR: perl(Test::Pod)

* Thu Jun 23 2011 Paul Howarth <paul@city-fan.org> - 1:1.74-1.0
- Update to 1.74
  - More work on the t/*.t test scripts
  - Add scripts/Test.pm-to-Test-More.pl to semi-automatically convert a test
     script from Test.pm to Test::More
  - Change NodeSet to NodeList in the documentation of
    lib/XML/LibXML/NodeList.pm (CPAN RT#60998)
  - Makefile.PL: make clear that we are trying to link against libm, libz and
    libxml2 and not just libxml2 (CPAN RT#51439)
  - Fix documentation for XML::LibXML::Comment (CPAN RT#61756)
  - Documentation: moved away from Indirect-object-notation and added some
    missing "my"s
  - Fix failing t/01basic.t when compiling against libxml2 that comes from git
    (CPAN RT#54951)

* Sat Jun 18 2011 Paul Howarth <paul@city-fan.org> - 1:1.73-1.0
- Update to 1.73
  - calculating $err->column() properly, so it won't be maxed out at 80
    (CPAN RT#66642)
  - update the repository in the documentation to point to the bitbucket.org one
  - revamped Makefile.PL:
    - got rid of "\t" characters
    - add "use strict" and "use warnings"
    - add resources and keywords to the META_MERGE
    - other changes
  - fix CPAN RT#53632: when calling normalize on a node, processing of children
    nodes will stop when an empty element node is encountered
  - apply the patch from Daniel Fetter's InputCallbackFix branch:
    - a partial fix to CPAN RT#4263)
    - call two $parser->parse_string() in succession
  - apply the NestedParsing patch (more of CPAN RT#4263):
    - updated how legacy parser local callbacks are utilized by init_callbacks
      so that the XML::LibXML::InputCallback object doesn't have to be
      temporarily modified during the parsing process; this change could break
      code for users that have subclassed XML::LibXML::InputCallback and
      overridden the init_callbacks method
  - documentation fixes patch from Daniel Fetter

* Thu Jun 16 2011 Paul Howarth <paul@city-fan.org> - 1:1.72-1.0
- Update to 1.72
  - removed a stray file from the MANIFEST, causing a "kit not complete"
    warning (CPAN RT#68865)

* Tue Jun 14 2011 Paul Howarth <paul@city-fan.org> - 1:1.71-1.0
- Update to 1.71
  - turn XML_LIBXML_PARSE_DEFAULTS constant to
    $XML::LibXML::XML_LIBXML_PARSE_DEFAULTS
  - no need to AUTOLOAD 'domain' because a method like that exists
    (CPAN RT#68575)
  - get rid of AUTOLOAD completely (CPAN RT#68575)
  - handle unknown domains (CPAN RT#68575)
  - add more errors (CPAN RT#68575)
  - avoid malformed UTF-8 warnings (CPAN RT#68575)
  - in replaceDataString - use http://perldoc.perl.org/functions/quotemeta.html
    instead of a long (and incomplete) list of characters to escape
    (CPAN RT#68564)
  - also fix deleteDataString by making it use replaceDataString for help
- This release by SHLOMIF -> update source URL
- Use a patch rather than iconv to fix documentation character encoding
- Nobody else likes macros for commands
- Package TODO
- Obsolete/Provide perl-XML-LibXML-XPathContext

* Fri Nov  5 2010 Paul Howarth <paul@city-fan.org> - 1:1.70-7.0
- Rebuild for libxml2 2.7.8

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 1:1.70-6.0
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 27 2010 Paul Howarth <paul@city-fan.org> - 1:1.70-5.0
- Fix dist tag for RHEL-6 Beta
- Large release bump to overtake EL-6 package built against libxml 2.7.6

* Thu Feb 25 2010 Paul Howarth <paul@city-fan.org> - 1:1.70-2
- Dist tag for Rawhide no longer needs special-casing

* Thu Oct  8 2009 Paul Howarth <paul@city-fan.org> - 1:1.70-1
- Update to 1.70
  - merge with XML::LibXML::Common
  - various fixes and improvements in the documentation
  - added (convenient yet non-standard) methods nonBlankChildNodes,
    firstNonBlankChild, nextNonBlankSibling, prevNonBlankSibling that skip
    empty or whitespace-only Text and CDATA nodes
  - exposed and documented external entity handler
  - XPathContext can now be passed to toStringC14N and toStringEC14N
  - avoid using libxml2's globals
  - added interface to libxml2's regexp implementation: XML::LibXML::RegExp
  - added XML::LibXML->load_xml and XML::LibXML->load_html with uniform and
    cleaner API than the old parse_* family
  - cleanup code dealing with parsing flags
  - fix bogus validation results if revalidating a modified document
  - added 'eq' and 'cmp' overloading on XML::LibXML::Error; set fallback to 1
  - lots of bugs fixed
  - provide context and more accurate column number in structured errors
  - clarify license and copyright
  - fix compilation bugs
  - fix encoding problem in reader
  - added getAttributeHash to the reader interface
  - fix segfaults: reconcileNs in domReplaceChild, findnodes with a doc fragment
- Obsolete/Provide perl-XML-LibXML-Common
- Don't buildreq perl(XML::LibXML::Common)
- Bump libxml2 version requirement to 2.7.6
- Bump XML::LibXSLT non-conflict requirement to 1.70
- Drop upstreamed test patch

* Mon Sep 28 2009 Paul Howarth <paul@city-fan.org> - 1:1.69-3
- Use %%{?perl_default_filter} for provides filter
- Add patch for bogus encoding test t/03_doc.t
  (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=546240)

* Fri Mar  6 2009 Paul Howarth <paul@city-fan.org> - 1:1.69-2
- Filter out unwanted provides for perl shared objects
- Update to SLES-compatible dist tag macros

* Wed Nov 12 2008 Paul Howarth <paul@city-fan.org> - 1:1.69-1
- Update to 1.69

* Mon Nov 10 2008 Paul Howarth <paul@city-fan.org> - 1:1.68-1
- Update to 1.68

* Wed Nov  5 2008 Paul Howarth <paul@city-fan.org> - 1:1.67-1
- Update to 1.67
- Add note about perl-XML-LibXSLT having to be the same version due to code
  sharing between the two modules (#469480)
- Conflict with incompatible perl-XML-LibXSLT versions
- New modules XML::LibXML::{Pattern,XPathExpression}
- New manpages for XML::LibXML::{ErrNo,Error,Pattern,XPathExpression}

* Fri Oct 31 2008 Paul Howarth <paul@city-fan.org> - 1:1.66-1
- Update to 1.66 (will build current libxml2 for old distributions)
- Add epoch for upgrade path from 1.62001
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Recode Changes as UTF8
- Enable test suite
- Suppress warning about nonexistent file in perl-XML-SAX install trigger
- New upstream maintainer -> URL change for source
- Make %%files list more explicit
- Require and BuildRequire libxml2 >= 2.6.21
- Add buildreq perl(Test::More)

* Mon Mar 26 2007 Paul Howarth <paul@city-fan.org> - 1.57-3
- Import from Fedora Core
- Downgrade to 1.57 for compatibility with old libxml2 versions
- Improve package description
- Include dist tag macros
- Use Fedora standard buildroot
- BuildRequire perl(ExtUtils::MakeMaker)
- Use perl(...) style dependencies
- Remove old spec file cruft
- Macro-ize commands where possible, hardcode paths elsewhere

* Thu Dec 07 2006 Robin Norwood <rnorwood@redhat.com> - 1.62001-2
- Rebuild

* Sat Dec 02 2006 Robin Norwood <rnorwood@redhat.com> - 1.62001
- Build latest version from CPAN: 1.62001

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.58-2.2.2.1
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.58-2.2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.58-2.2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.58-2.2
- rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Sat Mar 19 2005 Joe Orton <jorton@redhat.com> 1.58-2
- rebuild

* Sun Apr 18 2004 Ville Skyttä <ville.skytta at iki.fi> - 1.58-1
- #121168
- Update to 1.58.
- Require perl(:MODULE_COMPAT_*).
- Handle ParserDetails.ini parser registration.
- BuildRequires libxml2-devel.
- Own installed directories.

* Fri Feb 27 2004 Chip Turner <cturner@redhat.com> - 1.56-1
- Specfile autogenerated.
